
DROP TABLE IF EXISTS `{DBPREFIX}action_logs`, `{DBPREFIX}migrations`;

-- split --

CREATE TABLE `{DBPREFIX}action_logs` (
`id` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`timestamp` INT( 11 ) NOT NULL ,
`user_id` INT( 11 ) NOT NULL ,
`action` VARCHAR( 255 ) NOT NULL ,
`message` TEXT NOT NULL ,
`item_id` INT( 11 ) NOT NULL
) ENGINE = MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}clients`;

-- split --

CREATE TABLE `{DBPREFIX}clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `first_name` varchar(64) DEFAULT '',
  `last_name` varchar(64) DEFAULT '',
  `title` varchar(64) DEFAULT '',
  `email` varchar(128) DEFAULT '',
  `company` varchar(128) DEFAULT '',
  `address` TEXT,
  `phone` varchar(64) DEFAULT '',
  `fax` varchar(64) DEFAULT '',
  `mobile` varchar(64) DEFAULT '',
  `website` varchar(128) DEFAULT '',
  `language` varchar(255) DEFAULT '',
  `business_identity` int(255),
  `can_create_support_tickets` tinyint(1) NOT NULL DEFAULT '0',
  `profile` text,
  `unique_id` varchar(10) DEFAULT '',
  `passphrase` varchar(32) DEFAULT '',
  `created` datetime NOT NULL,
  `support_user_id` int(10) not null DEFAULT '0',
  `modified` timestamp ON UPDATE CURRENT_TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `owner_id` int(255) unsigned not null default '0',
  PRIMARY KEY (`id`)
) ENGINE = MyISAM DEFAULT CHARSET=utf8;

-- split --

CREATE TABLE IF NOT EXISTS `{DBPREFIX}client_ticket_support_rate_matrix` (
			`id` int(10) unsigned NOT NULL AUTO_INCREMENT,
			`client_id` int(10) NOT NULL,
			`priority_id` int(10) NOT NULL,
			`rate` float(10,2) NOT NULL,
                        `tax_id` int(255) not null,
			PRIMARY KEY (`id`)
		) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}contact_log`;

-- split --

CREATE TABLE IF NOT EXISTS `{DBPREFIX}contact_log` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `client_id` int unsigned NOT NULL,
  `user_id` int unsigned NOT NULL,
  `method` enum("phone","email") NOT NULL,
  `contact` varchar(255) NOT NULL,
  `subject` varchar(255) NOT NULL,
  `content` text,
  `sent_date` int(10) unsigned NOT NULL,
  `duration` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}project_timers`;

-- split --

CREATE TABLE `{DBPREFIX}project_timers` (
			`id` int(10) unsigned NOT NULL AUTO_INCREMENT,
                        `start_timestamp` int(255) not null,
                        `last_modified_timestamp` int(255) not null,
                        `current_seconds` int(255) not null,
			`task_id` int(255) unsigned NOT NULL,
			`user_id` int(255) NOT NULL DEFAULT '0',
			`pauses_json` longtext NULL,
			`is_paused` tinyint(1) not null default '0',
                        `is_over` tinyint(1) not null default '0',
			PRIMARY KEY (`id`),
			INDEX task_id (`task_id`)
		) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}project_templates`;

-- split --

CREATE TABLE `{DBPREFIX}project_templates` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
          `client_id` varchar(10) NULL DEFAULT NULL,
          `name` varchar(255) NOT NULL,
          `description` text NULL DEFAULT NULL,
          `rate` decimal(10, 2) NULL DEFAULT NULL,
          `currency_id` int(11) NULL DEFAULT NULL,
          `exchange_rate` float(10, 5) NOT NULL,
          `is_viewable` tinyint(1) NOT NULL,
          PRIMARY KEY (`id`)
        ) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}notifications`;

-- split --

CREATE TABLE `{DBPREFIX}notifications` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
          `context` varchar(255) NOT NULL,
          `context_id` int(11) NOT NULL,
          `message` TEXT NOT NULL,
          `seen` tinyint(1) NOT NULL DEFAULT '0',
          `created` int(11) NOT NULL,

          `action` varchar(255) NULL,
          `user_id` int(255) NULL,
          `client_id` int(255) NULL,

          PRIMARY KEY (`id`)
        ) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}project_task_templates`;

-- split --

CREATE TABLE `{DBPREFIX}project_task_templates` (
	  `id` int(11) NOT NULL AUTO_INCREMENT,
          `project_id` int(11) NOT NULL,
          `parent_id` int(11) NULL DEFAULT NULL,
          `assigned_user_id` int(11) NULL DEFAULT NULL,
          `name` varchar(255) NOT NULL,
          `rate` decimal(10, 2) NULL DEFAULT NULL,
          `hours` decimal(10, 2) NULL DEFAULT NULL,
          `notes` text NULL DEFAULT NULL,
          `milestone_id` int(10) NOT NULL DEFAULT '0',
          `is_viewable` tinyint(1) NOT NULL DEFAULT '0',
          `order` int(11) unsigned not null default '0',
          PRIMARY KEY (`id`)
        ) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}currencies`;

-- split --

CREATE TABLE `{DBPREFIX}currencies` (
	`id` int(5) unsigned NOT NULL AUTO_INCREMENT,
	`name` varchar(200) DEFAULT '',
	`code` varchar(3) NOT NULL,
	`rate` float DEFAULT '0',
	PRIMARY KEY (`id`),
	KEY `code` (`code`)
) ENGINE = MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}files`;

-- split --

CREATE TABLE `{DBPREFIX}files` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `invoice_unique_id` varchar(255) NOT NULL,
  `orig_filename` varchar(255) NOT NULL,
  `real_filename` text NOT NULL,
  `download_count` int(5) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `invoice_unique_id` (`invoice_unique_id`)
) ENGINE = MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}gateway_fields`;

-- split --

CREATE TABLE `{DBPREFIX}gateway_fields` (
	`gateway` varchar(255) NOT NULL,
	`field` varchar(255) NOT NULL,
	`value` text NOT NULL,
	`type` varchar(255) NOT NULL,
	KEY `gateway` (`gateway`),
	KEY `field` (`field`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}groups`;

-- split --

CREATE TABLE `{DBPREFIX}groups` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(20) NOT NULL,
  `description` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE = MyISAM  DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}items`;

-- split --

CREATE TABLE `{DBPREFIX}items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `qty` float NOT NULL DEFAULT '1',
  `rate` float NOT NULL DEFAULT '0',
  `tax_id` int(11) NOT NULL,
  `type` varchar(128),
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}keys`;

-- split --

CREATE TABLE `{DBPREFIX}keys` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `key` varchar(40) NOT NULL,
	  `level` int(2) NOT NULL,
	  `ignore_limits` tinyint(1) NOT NULL DEFAULT '0',
	  `is_private_key` tinyint(1)  NOT NULL DEFAULT '0',
	  `ip_addresses` TEXT NULL DEFAULT NULL,
          `note` TEXT NULL DEFAULT NULL,
	  `date_created` int(11) NOT NULL,
	  PRIMARY KEY (`id`)
) ENGINE = MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}logs`;

-- split --

CREATE TABLE `{DBPREFIX}logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
	  `uri` varchar(255) NOT NULL,
	  `method` varchar(6) NOT NULL,
	  `params` text DEFAULT NULL,
	  `api_key` varchar(40) NOT NULL,
	  `ip_address` varchar(45) NOT NULL,
	  `time` int(11) NOT NULL,
	  `rtime` float DEFAULT NULL,
	  `authorized` tinyint(1) NOT NULL,
	  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}taxes`;

-- split --

CREATE TABLE `{DBPREFIX}taxes` (
  `id` int(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) DEFAULT '',
  `value` float DEFAULT '0',
  `reg` varchar(100) DEFAULT '',
  `is_compound` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE = MyISAM  DEFAULT CHARSET=utf8;

-- split --

INSERT INTO `{DBPREFIX}taxes` (name, value) VALUES ('Default', '{TAX_RATE}');

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}hidden_notifications`;

-- split --

CREATE TABLE `{DBPREFIX}hidden_notifications` (
`user_id` INT( 11 ) NOT NULL ,
`notification_id` VARCHAR( 255 ) NOT NULL ,
INDEX (  `user_id` ,  `notification_id` )
) ENGINE = MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}assignments`;

-- split --

CREATE TABLE `{DBPREFIX}assignments` (
			`user_id` INT( 255 ) NOT NULL ,
                        `item_id` INT( 255 ) NOT NULL ,
                        `item_type` VARCHAR( 255 ) NOT NULL DEFAULT '',
                        `can_read` TINYINT( 1 ) NOT NULL ,
                        `can_update` TINYINT( 1 ) NOT NULL ,
                        `can_delete` TINYINT( 1 ) NOT NULL ,
                        `can_generate_from_project`  TINYINT( 1 ) NOT NULL ,
                        `can_send` TINYINT( 1 ) NOT NULL ,
	 		KEY `user_id` (`user_id`),
                        KEY `item_id` (`item_id`),
                        KEY `item_type` (`item_type`)
		) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}invoice_rows`;

-- split --

CREATE TABLE `{DBPREFIX}invoice_rows` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `unique_id` varchar(255) NOT NULL,
  `name` varchar(255) DEFAULT '',
  `description` text,
  `qty` float DEFAULT '0',
  `tax_id` int(5) DEFAULT '0',
  `rate` varchar(255) DEFAULT '',
  `total` varchar(255) DEFAULT '',
  `sort` smallint(4) NOT NULL DEFAULT '0',
  `type` varchar(128),
  `item_type_id` int(255) not null default '0',
  `discount` decimal(65,10) NOT NULL DEFAULT '0.0000000000',
  `discount_is_percentage` tinyint(1) NOT NULL DEFAULT '0',
  `item_type_table` varchar(255) not null default '',
  PRIMARY KEY (`id`),
  INDEX unique_id (`unique_id`)
) ENGINE = MyISAM DEFAULT CHARSET=utf8;

-- split --

CREATE TABLE `{DBPREFIX}invoice_rows_taxes` (
   `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `tax_id` int(11) unsigned NOT NULL DEFAULT 0,
  `invoice_row_id` int(11) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `tax_id` (`tax_id`),
  KEY `invoice_row_id` (`invoice_row_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

CREATE TABLE IF NOT EXISTS `{DBPREFIX}items_taxes` (
   `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `tax_id` int(11) unsigned NOT NULL DEFAULT 0,
  `item_id` int(11) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `tax_id` (`tax_id`),
  KEY `item_id` (`item_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}meta`;

-- split --

CREATE TABLE `{DBPREFIX}meta` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` mediumint(8) unsigned NOT NULL,
  `first_name` varchar(50) DEFAULT '',
  `last_name` varchar(50) DEFAULT '',
  `company` varchar(100) DEFAULT '',
  `phone` varchar(20) DEFAULT '',
  `custom_background` varchar(255),
  `last_visited_version` varchar(48) DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE = MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}notes`;

-- split --

CREATE TABLE `{DBPREFIX}notes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `client_id` int(11) NOT NULL,
  `note` text NOT NULL,
  `submitted` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `client_id` (`client_id`)
) ENGINE = MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}invoices`;

-- split --

CREATE TABLE `{DBPREFIX}invoices` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`unique_id` varchar(10) DEFAULT '',
	`client_id` int(11) DEFAULT '0',
	`amount` DECIMAL( 20, 10 ) NULL DEFAULT  '0',
	`due_date` int(11) DEFAULT '0',
	`invoice_number` varchar(255) DEFAULT '',
	`notes` text,
	`description` text,
	`txn_id` varchar(255) DEFAULT '',
	`payment_gross` float DEFAULT '0',
	`item_name` varchar(255) DEFAULT '',
	`payment_hash` varchar(32) DEFAULT '',
	`payment_status` varchar(255) DEFAULT '',
	`payment_type` varchar(255) DEFAULT '',
	`payment_date` int(11) DEFAULT '0',
	`payer_status` varchar(255) DEFAULT '',
	`type` enum('SIMPLE','DETAILED','ESTIMATE','CREDIT_NOTE') DEFAULT 'DETAILED',
	`date_entered` int(11) DEFAULT '0',
	`is_paid` tinyint(1) DEFAULT '0',
	`is_recurring` tinyint(1) DEFAULT '0',
	`frequency` varchar(2),
	`auto_send` tinyint(1) NOT NULL DEFAULT '0',
	`recur_id` int(11) NOT NULL DEFAULT '0',
	`currency_id` int(11) NOT NULL DEFAULT '0',
	`exchange_rate` float(10,5) NOT NULL DEFAULT '1.00000',
	`proposal_id` int(20) NOT NULL DEFAULT '0',
	`send_x_days_before` int(11) NOT NULL DEFAULT '7',
    `has_sent_notification` int(1) NOT NULL DEFAULT '0',
	`last_sent` int(11) NOT NULL DEFAULT '0',
	`next_recur_date` int(11) NOT NULL DEFAULT '0',
	`last_viewed` int(20) NOT NULL DEFAULT '0',
	`is_viewable` tinyint(1) NOT NULL,
  `is_archived` tinyint(1) NOT NULL DEFAULT '0',
        `owner_id` int(255) unsigned not null default '0',
        `last_status_change` int(255) not null default '0',
        `status` varchar(255) not null default '',
        `project_id` int(255) not null default '0',
	PRIMARY KEY (`id`),
	INDEX unique_id (`unique_id`)
) ENGINE = MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}partial_payments`;

-- split --

CREATE TABLE `{DBPREFIX}partial_payments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `unique_invoice_id` varchar(10) NOT NULL,
  `amount` float NOT NULL,
  `gateway_surcharge` float NOT NULL,
  `is_percentage` tinyint(1) NOT NULL,
  `due_date` int(11) NOT NULL,
  `notes` text NOT NULL,
  `txn_id` varchar(255) NOT NULL DEFAULT '',
  `payment_gross` float NOT NULL,
  `item_name` varchar(255) NOT NULL,
  `is_paid` tinyint(1) NOT NULL,
  `payment_date` int(11) NOT NULL,
  `payment_type` varchar(255) NOT NULL,
  `payer_status` varchar(255) NOT NULL,
  `payment_status` varchar(255) NOT NULL,
  `unique_id` varchar(10) NOT NULL,
  `payment_method` varchar(255) NOT NULL,
  `key` int(11) NOT NULL,
  `improved` int(11) NOT NULL DEFAULT 1,
  `transaction_fee` float NOT NULL,
  PRIMARY KEY (`id`),
  KEY `unique_invoice_id` (`unique_invoice_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}permissions`;

-- split --

CREATE TABLE `{DBPREFIX}permissions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_id` int(11) NOT NULL,
  `module` varchar(50) NOT NULL,
  `roles` text,
  PRIMARY KEY (`id`)
) ENGINE = MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}projects`;

-- split --

CREATE TABLE `{DBPREFIX}projects` (
	`id` int(10) unsigned NOT NULL AUTO_INCREMENT,
	`client_id` int(11) NOT NULL,
	`name` varchar(255) NOT NULL,
	`due_date` int(11) NOT NULL,
	`description` text NOT NULL,
	`date_entered` int(11) NOT NULL,
  `date_updated` TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NULL DEFAULT NULL,
	`rate` decimal(10,2) NOT NULL DEFAULT '0.00',
	`completed` tinyint(4) NOT NULL,
	`currency_id` int(11) NOT NULL,
	`exchange_rate` float(10,5) NOT NULL DEFAULT '1.00000',
	`unique_id` varchar(10) NOT NULL DEFAULT '',
	`is_viewable` tinyint(1) NOT NULL,
        `projected_hours` float not null DEFAULT '0',
        `is_archived` tinyint(1) NOT NULL DEFAULT 0,
        `owner_id` int(255) unsigned not null default '0',
  `is_flat_rate` tinyint(1) NOT NULL DEFAULT '0',
	PRIMARY KEY (`id`),
	KEY `client_id` (`client_id`)
) ENGINE = MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}project_expenses`;

-- split --

CREATE TABLE `{DBPREFIX}project_expenses` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `project_id` int(10) unsigned NOT NULL,
  `payment_source_id` int(11) DEFAULT NULL,
  `invoice_id` int(11) DEFAULT NULL,
  `invoice_number` varchar(255) DEFAULT NULL,
  `due_date` datetime DEFAULT NULL,
  `name` varchar(255) NOT NULL DEFAULT '',
  `description` text,
  `qty` int(10) unsigned NOT NULL DEFAULT '1',
  `rate` decimal(8,2) NOT NULL,
  `tax_id` int(10) NOT NULL DEFAULT '0',
  `supplier_id` int(11) NOT NULL DEFAULT '0',
  `category_id` int(11) NOT NULL DEFAULT '0',
  `payment_details` text NOT NULL,
  `owner_id` int(255) unsigned not null default '0',
  `invoice_item_id` int(11) NOT NULL DEFAULT '0',
  `receipt` varchar(1024) not null DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `project_id` (`project_id`)
) ENGINE = MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}assignments_permissions`;

-- split --

CREATE TABLE `{DBPREFIX}assignments_permissions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` INT( 255 ) NOT NULL ,
  `client_id` INT( 255 ) NOT NULL ,
  `item_type` VARCHAR( 255 ) NOT NULL DEFAULT '',
  `item_id` INT( 255 ) NOT NULL ,
  `can_all` TINYINT( 1 ) NOT NULL ,
  `can_create` TINYINT( 1 ) NOT NULL ,
  `can_read` TINYINT( 1 ) NOT NULL ,
  `can_update` TINYINT( 1 ) NOT NULL ,
  `can_delete` TINYINT( 1 ) NOT NULL ,
  `can_generate_from_project`  TINYINT( 1 ) NOT NULL ,
  `can_send` TINYINT( 1 ) NOT NULL ,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}project_expenses_categories`;

-- split --

CREATE TABLE `{DBPREFIX}project_expenses_categories` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NULL,
  `name` varchar(255) NOT NULL DEFAULT '',
  `description` text,
  `notes` text,
  `deleted` tinyint(1) NOT NULL DEFAULT '0',
  `status` varchar(128) NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}project_expenses_suppliers`;

-- split --

CREATE TABLE `{DBPREFIX}project_expenses_suppliers` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `description` text,
  `notes` text,
  `deleted` tinyint(1) NOT NULL DEFAULT '0',
  `status` varchar(128) NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}project_tasks`;

-- split --

CREATE TABLE `{DBPREFIX}project_tasks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `project_id` int(10) unsigned NOT NULL,
  `milestone_id` int(11) NOT NULL DEFAULT '0',
  `parent_id` int(10) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL,
  `rate` decimal(10,2) NOT NULL DEFAULT '0.00',
  `hours` decimal(10, 2) NOT NULL DEFAULT '0.0',
  `notes` TEXT NOT NULL,
  `due_date` int(11) DEFAULT '0',
  `completed` tinyint(4) NOT NULL,
  `is_viewable` tinyint(1) NOT NULL,
  `projected_hours` float not null DEFAULT '0',
  `status_id` int(255) default '0',
  `assigned_user_id` int(10),
  `date_entered` TIMESTAMP NULL DEFAULT NULL,
  `date_updated` TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NULL DEFAULT NULL,
  `owner_id` int(255) unsigned not null default '0',
  `order` int(11) unsigned not null default '0',
  `is_flat_rate` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE = MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}project_times`;

-- split --

CREATE TABLE `{DBPREFIX}project_times` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `project_id` int(10) unsigned NOT NULL,
  `task_id` int(10) unsigned DEFAULT NULL,
  `user_id` int(10) unsigned DEFAULT NULL,
  `start_time` varchar(5) NOT NULL DEFAULT '',
  `end_time` varchar(5) NOT NULL DEFAULT '',
  `minutes` decimal(16,8) NOT NULL,
  `date` int(11) DEFAULT NULL,
  `note` text,
  `invoice_item_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `project_id` (`project_id`),
  KEY `user_id` (`user_id`),
  KEY `date` (`date`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}project_milestones`;

-- split --

CREATE TABLE `{DBPREFIX}project_milestones` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` text,
  `project_id` int unsigned NOT NULL,
  `assigned_user_id` int unsigned DEFAULT NULL,
  `color` varchar(50) NOT NULL,
  `target_date` int unsigned DEFAULT NULL,
  `is_viewable` tinyint(1) NOT NULL,
  `order` int(11) unsigned not null default '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}proposals`;

-- split --

CREATE TABLE `{DBPREFIX}proposals` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `unique_id` varchar(10) NOT NULL,
  `created` int(11) NOT NULL,
  `last_sent` int(11) NOT NULL DEFAULT '0',
  `last_status_change` int(20) NOT NULL DEFAULT '0',
  `last_viewed` int(20) NOT NULL DEFAULT '0',
  `invoice_id` int(11) NOT NULL,
  `project_id` int(11) NOT NULL,
  `client_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `status` varchar(255) NOT NULL,
  `proposal_number` int(20) NOT NULL DEFAULT '0',
  `client_company` varchar(255) NOT NULL DEFAULT '',
  `client_address` text,
  `client_name` varchar(255) NOT NULL DEFAULT '',
  `is_viewable` tinyint(1) NOT NULL,
  `is_archived` tinyint(1) NOT NULL DEFAULT '0',
  `owner_id` int(255) unsigned not null default '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}proposal_sections`;

-- split --

CREATE TABLE `{DBPREFIX}proposal_sections` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `proposal_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `subtitle` varchar(255) NOT NULL,
  `contents` text NOT NULL,
  `key` int(11) NOT NULL,
  `parent_id` INT( 11 ) NOT NULL ,
  `page_key` INT( 11 ) NOT NULL,
  `section_type` varchar(128) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}settings`;

-- split --

CREATE TABLE `{DBPREFIX}settings` (
  `slug` varchar(100) NOT NULL DEFAULT '',
  `value` LONGTEXT,
  PRIMARY KEY (`slug`)
) ENGINE = MyISAM DEFAULT CHARSET=utf8;

-- split --

INSERT INTO `{DBPREFIX}settings` VALUES
('admin_theme', 'pancake'),
('currency', '{CURRENCY}'),
('license_key', '{LICENSE_KEY}'),
('mailing_address', '{MAILING_ADDRESS}'),
('notify_email', '{NOTIFY_EMAIL}'),
('rss_password', '{RSS_PASSWORD}'),
('site_name', '{SITE_NAME}'),
('admin_name', '{FIRST_NAME} {LAST_NAME}'),
('theme', '{THEME}'),
('version', '{VERSION}'),
('latest_version_fetch', '0'),
('auto_update', '0'),
('ftp_host', ''),
('ftp_user', ''),
('ftp_pass', ''),
('ftp_path', '/'),
('bcc', '0'),
('include_remittance_slip', '1'),
('always_https', '0'),
('remittance_slip', '<h2>How to Pay</h2>

View invoice online at:
{{invoice.url}}

You may pay in person, online, or by mail using this payment voucher. Please provide your payment information below.

Enclosed Amount: __________________________________'),
('use_utf8_font', '0'),
('default_tax_id', '0'),
('include_time_entry_dates', '0'),
('split_line_items_by', 'project_tasks'),
('accounting_type', 'accrual'),
('email_type', 'mail'),
('smtp_host', ''),
('smtp_user', ''),
('smtp_pass', ''),
('smtp_port', ''),
('smtp_encryption', ''),
('kitchen_route', 'client_area'),
('mailpath', '/usr/sbin/sendmail'),
('ftp_port', '21'),
('ftp_pasv', '1'),
('latest_version', '0'),
('date_format', 'm/d/Y'),
('time_format', 'H:i'),
('timezone', '{TIMEZONE}'),
('language', 'english'),
('task_time_interval', ''),
('frontend_css', ''),
('backend_css', ''),
('frontend_js', ''),
('backend_js', ''),
('items_per_page', '10'),
('send_x_days_before', '7'),
('enable_pdf_attachments', '1'),
('allowed_extensions', 'pdf,png,psd,jpg,jpeg,bmp,ai,txt,zip,rar,7z,gzip,bzip,gz,gif,doc,docx,ppt,pptx,xls,xlsx,csv,eps'),
('pdf_page_size', 'A4'),
('default_invoice_notes', ''),
('default_invoice_due_date', ''),
('default_task_due_date', '7'),
('default_invoice_title', 'Invoice'),
('send_multipart', '1'),
('autosave_proposals', '1'),
('year_start_day', '1'),
('year_start_month', '1'),
('store_auth_token', ''),
('store_auth_email', ''),
('never_use_ssl', '0'),
('hide_tax_column', '0'),
('ticket_status_for_sending_invoice', '0'),
('logo_url', '');

-- split --

DROP TABLE IF EXISTS `{DBPREFIX}users`;

-- split --

CREATE TABLE `{DBPREFIX}store_purchases` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `plugin_unique_id` varchar(255) DEFAULT NULL,
  `plugin_title` varchar(255) NOT NULL,
  `plugin_type_id` varchar(255) DEFAULT NULL,
  `filepath` text,
  `current_version` varchar(255) DEFAULT NULL,
  `latest_version` varchar(255) DEFAULT NULL,
  `date_added` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `changelog_since_current_version` longtext,
  PRIMARY KEY (`id`)
) ENGINE = MyISAM DEFAULT CHARSET=utf8;

-- split --

CREATE TABLE IF NOT EXISTS `{DBPREFIX}users` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `group_id` mediumint(8) unsigned NOT NULL,
  `ip_address` char(16) NOT NULL,
  `username` varchar(200) NOT NULL,
  `password` varchar(40) NOT NULL,
  `salt` varchar(40) DEFAULT '',
  `email` varchar(40) NOT NULL,
  `activation_code` varchar(40) DEFAULT '',
  `forgotten_password_code` varchar(40) DEFAULT '',
  `remember_code` varchar(40) DEFAULT '',
  `created_on` int(11) unsigned NOT NULL,
  `last_login` int(11) unsigned DEFAULT NULL,
  `active` tinyint(1) unsigned DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE = MyISAM DEFAULT CHARSET=utf8;

-- split --

CREATE TABLE IF NOT EXISTS `{DBPREFIX}project_files` (
 `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
 `comment_id` int(11) unsigned NOT NULL,
 `created` int(10) unsigned NOT NULL,
 `orig_filename` varchar(255) NOT NULL,
 `real_filename` TEXT NOT NULL,
 PRIMARY KEY (`id`),
 INDEX comment_id (`comment_id`)
) ENGINE = MyISAM DEFAULT CHARSET=utf8;

-- split --

CREATE TABLE IF NOT EXISTS `{DBPREFIX}project_task_statuses` (
 `id` int(11) NOT NULL AUTO_INCREMENT,
 `title` varchar(255) NOT NULL,
 `background_color` varchar(50) NOT NULL,
 `font_color` varchar(50) NOT NULL,
 `text_shadow` varchar(255) not null,
 `box_shadow` varchar(255) not null,
 PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

CREATE TABLE IF NOT EXISTS `{DBPREFIX}comments` (
 `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
 `client_id` int(11) unsigned NOT NULL,
 `user_id` int(11) unsigned NULL,
 `user_name` varchar(255) NOT NULL,
 `created` int(10) unsigned NOT NULL,
 `item_type` varchar(255) NOT NULL,
 `item_id` int(11) NULL,
 `comment` TEXT NOT NULL,
 `is_private` tinyint(1) NOT NULL DEFAULT '0',
 PRIMARY KEY (`id`),
 INDEX client_id (`client_id`),
 INDEX user_id (`user_id`),
 INDEX item_type (`item_type`),
 INDEX item_id (`item_id`)
) ENGINE = MyISAM DEFAULT CHARSET=utf8;

-- split --

CREATE TABLE IF NOT EXISTS `{DBPREFIX}project_updates` (
 `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
 `project_id` int(11) unsigned NOT NULL,
 `name` varchar(255) NOT NULL,
 `created` int(10) unsigned NOT NULL,
 PRIMARY KEY (`id`),
 INDEX project_id (`project_id`)
) ENGINE = MyISAM DEFAULT CHARSET=utf8;

-- split --

CREATE TABLE IF NOT EXISTS `{DBPREFIX}plugins` (
          `slug` varchar(100) NOT NULL,
          `value` text,
          `version` varchar(20),
          PRIMARY KEY (`slug`)
        ) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

INSERT INTO `{DBPREFIX}meta` VALUES (1, 1, '{FIRST_NAME}', '{LAST_NAME}', '{SITE_NAME}', '0', null, '{VERSION}');

-- split --

CREATE TABLE `{DBPREFIX}migrations` (
  `version` int(3) DEFAULT NULL
) ENGINE = MyISAM DEFAULT CHARSET=utf8;

-- split --

INSERT INTO `{DBPREFIX}migrations` VALUES ('{MIGRATION}');

-- split --

INSERT INTO `{DBPREFIX}groups` VALUES (1, 'admin', 'Administrator'), (2, 'members', 'General User');

-- split --

INSERT INTO `{DBPREFIX}project_task_statuses` VALUES
(1, 'Pending', '#41b8e3', '#ffffff', '1px 1px #1e83a8', '0px 1px 1px 0px #1e83a8'),
(2, 'In Progress', '#88ce5c', '#ffffff', '1px 1px #5ca534', '0px 1px 1px 0px #62a33d'),
(3, 'Waiting', '#ffa123', '#ffffff', '1px 1px #cd7e15', '0px 1px 1px 0px #cd7e15'),
(4, 'Suspended', '#9a9a9a', '#ffffff', '1px 1px #787878', '0px 1px 1px 0px #787878'),
(5, 'Abandoned', '#eb4141', '#ffffff', '1px 1px #b32222', '0px 1px 1px 0px #b32222');

-- split --

INSERT INTO `{DBPREFIX}users` VALUES (1, 1, '127.0.0.1', '{USERNAME}', '{PASSWORD}', '{SALT}', '{NOTIFY_EMAIL}', '', NULL, NULL, 1268889823, 1281291575, 1);

-- split --

CREATE TABLE IF NOT EXISTS `{DBPREFIX}email_templates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `subject` varchar(255) NOT NULL,
  `content` TEXT NOT NULL,
  `days` tinyint(4) NULL,
  `created` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

INSERT INTO `{DBPREFIX}email_templates` (`id`, `type`, `name`, `subject`, `content`, `days`, `created`)
VALUES
  (1, 'invoice', 'Friendly Reminder', 'Reminder for invoice #{invoice:invoice_number}', 'Your invoice #{invoice:invoice_number} is due, please review as soon as possible. If you would like to pay it immediately using your credit card (via PayPal) please click <a href=\"{invoice:url}\">{invoice:url}</a>\n\nThanks,\n{settings:admin_name}', 14, 0);

-- split --

CREATE TABLE IF NOT EXISTS `{DBPREFIX}tickets` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `client_id` int(10) unsigned NOT NULL,
  `assigned_user_id` int(10) unsigned NULL,
  `status_id` int(10) unsigned NOT NULL,
  `priority_id` int(10) unsigned NOT NULL,
  `subject` varchar(255) NOT NULL DEFAULT '',
  `resolved` tinyint(1) NOT NULL,
  `created` int(10) unsigned NOT NULL,
  `owner_id` int(255) unsigned not null default '0',
`is_paid` tinyint(1) not null default '0',
`invoice_id` int(255) not null default '0',
`is_archived` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

CREATE TABLE IF NOT EXISTS `{DBPREFIX}ticket_posts` (
			`id` int(10) unsigned NOT NULL AUTO_INCREMENT,
			`ticket_id` int(10) unsigned NOT NULL,
			`user_id` int(10) unsigned NULL,
			`user_name` varchar(255) NOT NULL,
			`message` text NULL,
			`orig_filename` varchar(255) NOT NULL,
		  	`real_filename` TEXT NOT NULL,
			`created` int(10) unsigned NOT NULL,
			PRIMARY KEY (`id`)
		) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

CREATE TABLE IF NOT EXISTS `{DBPREFIX}ticket_history` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ticket_id` int(10) unsigned NOT NULL,
  `user_id` int(10) unsigned NULL,
  `status_id` int(10) unsigned NOT NULL,
  `user_name` varchar(255) NOT NULL,
  `created` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

CREATE TABLE IF NOT EXISTS `{DBPREFIX}ticket_statuses` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `background_color` varchar(50) NOT NULL,
  `font_color` varchar(50) NOT NULL,
  `text_shadow` varchar(50) NOT NULL,
  `box_shadow` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

CREATE TABLE IF NOT EXISTS `{DBPREFIX}ticket_priorities` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `background_color` varchar(50) NOT NULL,
  `font_color` varchar(50) NOT NULL,
  `text_shadow` varchar(50) NOT NULL,
  `box_shadow` varchar(50) NOT NULL,
  `default_rate` float DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

INSERT INTO `{DBPREFIX}ticket_statuses` (`id`, `title`, `background_color`, `font_color`, `text_shadow`, `box_shadow`) VALUES
(1, 'Pending', '#41b8e3', '#ffffff', '1px 1px #1e83a8', '0px 1px 1px 0px #1e83a8'),
(2, 'Open', '#88ce5c', '#ffffff', '1px 1px #5ca534', '0px 1px 1px 0px #62a33d'),
(3, 'Closed', '#9a9a9a', '#ffffff', '1px 1px #787878', '0px 1px 1px 0px #787878');

-- split --

INSERT INTO `{DBPREFIX}ticket_priorities` (`id`, `title`, `background_color`, `font_color`, `text_shadow`, `box_shadow`) VALUES
(1, 'Normal', '#41b8e3', '#ffffff', '1px 1px #1e83a8', '0px 1px 1px 0px #1e83a8'),
(2, 'Elevated', '#88ce5c', '#ffffff', '1px 1px #5ca534', '0px 1px 1px 0px #62a33d'),
(3, 'Urgent', '#eb4141', '#ffffff', '1px 1px #b32222', '0px 1px 1px 0px #b32222');

-- split --

CREATE TABLE `{DBPREFIX}email_settings_templates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `identifier` varchar(255) NOT NULL,
  `subject` varchar(255) NOT NULL,
  `message` text NOT NULL,
  `type` varchar(255) NOT NULL,
  `template` varchar(255) NOT NULL DEFAULT 'default',
  `date_added` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `date_updated` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

INSERT INTO `{DBPREFIX}email_settings_templates` (`id`, `identifier`, `subject`, `message`, `type`, `template`, `date_added`, `date_updated`)
VALUES
	(1,'new_invoice','Invoice #{number}','Hi {invoice:first_name} {invoice:last_name}\n\nYour invoice #{invoice:invoice_number} is ready, after review if you would like to pay it immediately using your credit card (via PayPal) please click <a href=\"{invoice:url}\">{invoice:url}</a>\n\nThanks,\n{settings:admin_name}','html','default','2013-12-09 01:17:58','2013-12-09 01:17:58'),
	(2,'new_estimate','Estimate #{number}','Hi {estimate:first_name} {estimate:last_name}\n\nYour estimate #{estimate:number} is ready. To review it, please click <a href=\"{estimate:url}\">{estimate:url}</a>.\n\nThanks,\n{settings:admin_name}','html','default','2013-12-09 01:17:58','2013-12-09 01:17:58'),
	(3,'new_proposal','Proposal #{number} - {title}','Hi {proposal:client_name}\n\nA new proposal is ready for you on {settings:site_name}:\n\n{proposal:url}\n\nThanks,\n{settings:admin_name}','html','default','2013-12-09 01:17:58','2013-12-09 01:17:58'),
	(4,'invoice_payment_notification_for_admin','Received payment for Invoice #{number}','{ipn:first_name} {ipn:last_name} has paid Invoice #{invoice:invoice_number}\n\nThe total paid was {currency:symbol}{ipn:payment_gross}.','html','default','2013-12-09 01:17:58','2013-12-09 01:17:58'),
	(5,'invoice_payment_notification_for_client','Your payment has been received for Invoice #{number}','Thank you for your payment.\n\nInvoice #{invoice:invoice_number}\nTotal Paid: {currency:symbol}{ipn:payment_gross}\n\nYou may have files available for download. Click here to view your invoice:  {invoice:url}.\n\nThanks,\n{settings:admin_name}\n','html','default','2013-12-09 01:17:58','2013-12-09 01:17:58'),
	(6,'new_ticket','Ticket Received - #{ticket:id}','Hi {ticket:name}\n\nA new support ticket (#{ticket:id}) has been received on {settings:site_name}:\n\nYou may view and update this ticket by clicking <a href=\"{ticket:url}\">here</a>.\n\nThanks,\n{settings:admin_name}','html','default','2013-12-09 01:17:58','2013-12-09 01:17:58'),
	(7,'new_ticket_invoice','Invoice for Ticket #{ticket:id}','Hi {ticket:name}\n\nYour invoice <a href=\"{ticket:invoice_url}\">{ticket:invoice_number}</a> for ticket #{ticket:id} is ready. You may review and pay this invoice by going to the following link: <a href=\"{ticket:invoice_url}\">{ticket:invoice_url}</a>.\n\nThanks,\n{settings:admin_name}','html','default','2013-12-09 01:17:58','2013-12-09 01:17:58'),
	(8,'ticket_updated','Ticket Updated - #{ticket:id}','Hi {ticket:name}\n\nTicket (#{ticket:id}) has been updated on {settings:site_name}:\n\nYou may view and update this ticket by clicking <a href=\"{ticket:url}\">here</a>.\n\nThanks,\n{settings:admin_name}','html','default','2013-12-09 01:17:58','2013-12-09 01:17:58'),
	(9,'ticket_status_updated','Ticket Status Updated - #{ticket:id}','Hi {ticket:name}\n\nThe status of ticket (#{ticket:id}) has been set to {ticket:status} on {settings:site_name}:\n\nYou may view and update this ticket by clicking <a href=\"{ticket:url}\">here</a>.\n\nThanks,\n{settings:admin_name}','html','default','2013-12-09 01:17:58','2013-12-09 01:17:58'),
	(10,'assigned_to_task','You\'ve been assigned to a task in {project:name}!','Task Name: {task:name}\nProject: {project:name}\nTask Status: {task:status}\nDue Date: {task:due_date}\nProjected Hours: {task:projected_hours}\nTask Notes: {task:notes}\n','html','default','2013-12-09 01:17:58','2013-12-09 01:17:58'),
	(11,'assigned_to_milestone','You\'ve been assigned to a milestone in {project:name}!','Milestone Name: {milestone:name}\nProject: {project:name}\nTarget Date: {milestone:target_date}\n\n{milestone:description}\n','html','default','2013-12-09 01:17:58','1970-01-01 00:00:00'),
	(12,'new_comment','{comment:user_name} commented on {item}','{comment:user_name}\'s comment follows:\n\n---\n\n{comment:comment}\n\n---\n\nYou can reply to this comment by clicking <a href=\"{comment:url}\">here</a>.','html','default','2013-12-09 02:12:11','2013-12-09 02:12:11'),
        (13,'client_area_details',"Your Client Area Details", 'Hi {{client.first_name}} {{client.last_name}},

You can access your client area at: <a href="{{client.access_url}}">{{client.access_url}}</a>

Your email is: {{client.email}}
{{#client.passphrase}}Your password is: {{client.passphrase}}{{/client.passphrase}}
{{^client.passphrase}}You don\'t need to enter a password.{{/client.passphrase}}

Thanks,
{{settings.admin_name}}','html','default','2013-12-09 02:12:11','2013-12-09 02:12:11'),
    (14,'new_credit_note','Credit Note #{number}','Hi {credit_note:first_name} {credit_note:last_name}

Your credit note #{credit_note:number} is ready. To review it, please click <a href=\"{credit_note:url}\">{credit_note:url}</a>.

Thanks,
{settings:admin_name}','html','default','2013-12-09 02:12:11','2013-12-09 02:12:11')
;

-- split --

CREATE TABLE IF NOT EXISTS  `{DBPREFIX}ci_sessions` (
	session_id varchar(40) DEFAULT '0' NOT NULL,
	ip_address varchar(45) DEFAULT '0' NOT NULL,
	user_agent varchar(120) NOT NULL,
	last_activity int(10) unsigned DEFAULT 0 NOT NULL,
	user_data text NOT NULL,
	PRIMARY KEY (session_id),
	KEY `last_activity_idx` (`last_activity`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

CREATE TABLE `{DBPREFIX}project_milestone_templates` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` text,
  `project_id` int(10) unsigned NOT NULL,
  `assigned_user_id` int(10) unsigned DEFAULT NULL,
  `color` varchar(50) NOT NULL,
  `is_viewable` tinyint(1) NOT NULL,
  `order` int(11) unsigned not null default '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

CREATE TABLE `{DBPREFIX}business_identities` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `site_name` varchar(1024) NOT NULL DEFAULT '',
  `brand_name` varchar(1024) NOT NULL DEFAULT '',
  `admin_name` varchar(1024) NOT NULL DEFAULT '',
  `mailing_address` varchar(1024) NOT NULL DEFAULT '',
  `notify_email` varchar(1024) NOT NULL DEFAULT '',
  `billing_email` varchar(1024) NOT NULL DEFAULT '',
  `notify_email_from` varchar(1024) NOT NULL DEFAULT '',
  `billing_email_from` varchar(1024) NOT NULL DEFAULT '',
  `logo_filename` varchar(1024) NOT NULL DEFAULT '',
  `show_name_along_with_logo` tinyint(1) NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

INSERT INTO `{DBPREFIX}business_identities` (site_name, brand_name, admin_name, mailing_address, notify_email, billing_email, notify_email_from, billing_email_from)
VALUES
	('{SITE_NAME}', '{SITE_NAME}', '{FIRST_NAME} {LAST_NAME}', '{MAILING_ADDRESS}', '{NOTIFY_EMAIL}', '{NOTIFY_EMAIL}', '{FIRST_NAME} {LAST_NAME}', '{FIRST_NAME} {LAST_NAME}');

-- split --

CREATE TABLE IF NOT EXISTS `{DBPREFIX}clients_credit_alterations` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `client_id` int(11) NOT NULL,
  `amount` decimal(65,10) NOT NULL,
  `created_at` TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

CREATE TABLE IF NOT EXISTS `{DBPREFIX}clients_meta` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `client_id` int(11) NOT NULL,
  `label` varchar(1024) NOT NULL DEFAULT '',
  `slug` varchar(1024) NOT NULL DEFAULT '',
  `value` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

CREATE TABLE IF NOT EXISTS `{DBPREFIX}clients_taxes` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `client_id` int(11) NOT NULL,
  `tax_id` int(5) unsigned NOT NULL,
  `tax_registration_id` varchar(1024) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- split --

CREATE TABLE IF NOT EXISTS `{DBPREFIX}error_logs` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `subject` varchar(1024) NOT NULL DEFAULT '',
  `occurrences` int(11) NOT NULL DEFAULT '1',
  `first_occurrence` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `latest_occurrence` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `contents` longtext NOT NULL,
  `is_reported` tinyint(1) NOT NULL DEFAULT '0',
  `is_reportable` tinyint(1) NOT NULL DEFAULT '0',
  `notification_email` varchar(1024) NOT NULL DEFAULT '',
  `error_id` varchar(1024) NOT NULL DEFAULT '',
  `url` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;